#include <iostream>

using namespace std;

int main() {
	/* Строки
	Существует 2 типа: string (стиль c++) и массив char (стиль c)
	Синтаксис:
	string имя = "строка";
	char имя = {"строка"};
	Методы string:
	.append(string) - добавить строку в конец
	.push_back(char) - добавить символ в конец
	.insert(i, string) - добавить строку на индекс i
	.erase(i, j) - удалить элементы стоящие между i и j
	.find(item) - возвращает индекс элемента
	.length() - возвращает длину
	.size() - тоже возвращает длину
	*/

	string myStr = "string";
	char myChArr[] = {"string"};

	cout << myStr << endl;
	cout << "Размер: " << myStr.size() << "; Длина: " << myStr.length() << endl;
	cout << "Позиция подстроки 'tr': " << myStr.find("tr") << endl;
	cout << "Позиция подстроки 'if': " << myStr.find("if") << endl;  // Выводит неприменимое число

	cout << "Все символы строки 'string':"<< endl;
	for (int i = 0; i < myStr.length(); i++) {
		cout << myStr[i] << endl;
	}

	return 0;
}